Bug 1372058 - RHEL 7.3 beta error: AIDE not installed during provisioning
Summary: RHEL 7.3 beta error: AIDE not installed during provisioning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Martin Preisler
QA Contact: Marek Haicman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 19:48 UTC by Shawn Wells
Modified: 2017-08-01 12:23 UTC (History)
4 users (show)

Fixed In Version: scap-security-guide-0.1.32-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 12:23:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2064 normal SHIPPED_LIVE scap-security-guide bug fix and enhancement update 2017-08-01 16:05:50 UTC

Description Shawn Wells 2016-08-31 19:48:01 UTC
Description of problem:
In RHEL 7.3 beta, when selecting the DoD STIG Upstream profile, AIDE does not get installed during system provisioning. This causes failures of three security compliance checks:

- CCE-27096-7: xccdf_org.ssgproject.content_rule_package_aide_installed
- CCE-27220-3: xccdf_org.ssgproject.content_rule_aide_build_database
- CCE-26952-2: xccdf_org.ssgproject.content_rule_aide_periodic_cron_checking

Version-Release number of selected component (if applicable):
7.3 beta

How reproducible:
Always

Steps to Reproduce:
1. Attempt to install RHEL 7.3 with STIG Upstream profile 

Actual results:
The configuration rule xccdf_org.ssgproject.content_rule_package_aide_installed should install AIDE. It does not.

Expected results:
AIDE gets installed.

Additional info:

Comment 2 Martin Preisler 2017-03-03 20:17:32 UTC
SSG 0.1.30 only had the bash remediation for the AIDE rule. Since it was missing the Anaconda remediation it was not able to remediate this rule when provisioning using kickstart.

There has been a lot of refactoring in this part of SSG so it is fairly hard to pinpoint exactly when this was fixed. All of these 3 commits are required for this to work:
- https://github.com/OpenSCAP/scap-security-guide/commit/6d09d9903b903f77d4e88a763d88803f59e1855c
- https://github.com/OpenSCAP/scap-security-guide/commit/665e1f15e042dd928935ae9b8541f81dfa146d4c
- https://github.com/OpenSCAP/scap-security-guide/commit/928ef634c31e7c17bd4e845e96a49ef42b5ce6f5

Lastest SSG built from git master has all 4 remediations for the package_aide_installed XCCDF rule.

Comment 5 Marek Haicman 2017-06-14 08:12:13 UTC
Verified manually on version scap-security-guide-0.1.33-4.el7, that anaconda kickstart is successfully updated to contain aide package

Original kickstart:
# Packages selection (%packages section is required)
%packages

# Require @Base
@Base

pam_pkcs11
esc

%end

Anaconda kickstart:
%packages
@Base
aide
chrony
dracut-fips
esc
kexec-tools
openscap
openscap-scanner
pam_pkcs11
scap-security-guide
screen
-rsh
-rsh-server
-talk
-talk-server
-telnet
-telnet-server
-xinetd
-ypbind
-ypserv

%end


Note: This test was performed on OSPP profile, but the relevant rule (aide) is the same.

Comment 6 errata-xmlrpc 2017-08-01 12:23:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2064


Note You need to log in before you can comment on or make changes to this bug.